Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.script
Class PhpScriptContextFactory

    java.lang.Object
      php.java.bridge.http.SimpleContextFactory
          php.java.script.PhpScriptContextFactory

All Implemented Interfaces:
  IContextFactory, IContextFactoryVisitor

    public class PhpScriptContextFactory

extends SimpleContextFactory

A custom context factory, creates a ContextFactory for JSR223 contexts.

Author:
  jostb

Constructor Summary
`PhpScriptContextFactory()`

Method Summary
`static IContextFactory` | `addNew(IContext context)` Add the PhpScriptContext

Methods inherited from class php.java.bridge.http.SimpleContextFactory
`destroy, getBridge, getContext, getId, getSession, recycle, recycle, remove, removeOrphaned, setBridge, setContext, toString, visit, waitFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhpScriptContextFactory

    public PhpScriptContextFactory()

Method Detail

### addNew

    public static IContextFactory addNew(IContext context)

  Add the PhpScriptContext

  Parameters:
    `context` -
  Returns:
    The ContextFactory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD